Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1337991 - replace controller-0 instructions missing information about changes in overcloud-without-mergepy.yaml
Summary: replace controller-0 instructions missing information about changes in overcl...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 7.0 (Kilo)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ga
: 9.0 (Mitaka)
Assignee: Dan Macpherson
QA Contact: RHOS Documentation Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-20 15:57 UTC by Vagner Farias
Modified: 2016-08-05 01:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-05 01:23:48 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Vagner Farias 2016-05-20 15:57:41 UTC
Description of problem:
When replacing controller-0, current documentation misses to state that the following lines of overcloud-without-mergepy.yaml should be have the index changed from 0 to 1 (or other value representing an existing controller node).

  # All Nodes Validations
  AllNodesValidationConfig:
    type: OS::TripleO::AllNodes::Validation
    properties:
      PingTestIps:
        list_join:
        - ' '
        - - {get_attr: [Controller, resource.0.external_ip_address]}
          - {get_attr: [Controller, resource.0.internal_api_ip_address]}
          - {get_attr: [Controller, resource.0.storage_ip_address]}
          - {get_attr: [Controller, resource.0.storage_mgmt_ip_address]}
          - {get_attr: [Controller, resource.0.tenant_ip_address]}

Comment 2 Dan Macpherson 2016-05-23 02:33:25 UTC
Couple of notes on this one:

* This only applies if replacing controller-0. The other nodes should be fine.

* The note for the controller-0 node is halfway down:

https://access.redhat.com/documentation/en/red-hat-openstack-platform/8/director-installation-and-usage/94-replacing-controller-nodes

== Important ==
If replacing the node with index 0, edit the heat templates and change the bootstrap node index before starting replacement... etc...

We might have to add the info about changing the ping test node to this admonition.


Note You need to log in before you can comment on or make changes to this bug.